import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const task = await client.tasks.update('123e4567-e89b-12d3-a456-426614174000', {
title: 'Updated Credit Card Block',
});
console.log(task.task);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
task = client.tasks.update(
id="123e4567-e89b-12d3-a456-426614174000",
title="Updated Credit Card Block",
)
print(task.task)curl --request PUT \
--url https://api.avidoai.com/v0/tasks/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"title": "Updated Credit Card Block"
}
'
{
"task": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"title": "Credit Card Block",
"description": "Wants to block their credit card",
"type": "NORMAL",
"status": "ACTIVE",
"inputExamples": [
"I want to block my credit card"
],
"metadata": {
"customerId": "1",
"priority": "high"
},
"isVerified": false,
"passRate": 66,
"monitoringPassRate": 80,
"evalDefinitions": [
{
"evalDefinition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"name": "<string>",
"globalConfig": {
"criterion": "<string>"
},
"styleGuideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"title": "Customer Support Bot",
"slug": "customer-support-bot",
"description": "AI assistant for customer support inquiries",
"context": "You are a helpful customer support assistant...",
"language": "en",
"type": "CHATBOT",
"environment": "DEV",
"humanAnnotationEnabled": false,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
},
"topics": [
"456e4567-e89b-12d3-a456-426614174000"
]
},
"config": {
"expected": "<string>"
}
}
],
"traceId": "123e4567-e89b-12d3-a456-426614174000",
"parentId": "456e7890-e89b-12d3-a456-426614174000",
"lastTest": "2024-01-01T00:00:00.000Z",
"simulatedPromptSchema": {
"type": "object",
"properties": {
"intent": {
"type": "string"
},
"urgency": {
"type": "string",
"enum": [
"low",
"medium",
"high"
]
}
},
"required": [
"intent"
]
},
"topicId": "789e4567-e89b-12d3-a456-426614174000",
"taskSchedule": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cron": "<string>",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z"
},
"synthetic": {
"evaluations": 247,
"passed": 233,
"tests": 82,
"testsPassed": 78,
"passRate": 95.1,
"confidence": {
"level": "HIGH",
"halfWidth": 3.4,
"interval": {
"lower": 90.8,
"upper": 97.6
}
},
"stability": {
"level": "HIGH",
"stddev": 0.08
},
"recommendedAdditionalEvaluations": 0,
"healthScore": 87.5
},
"monitoring": {
"evaluations": 247,
"passed": 233,
"tests": 82,
"testsPassed": 78,
"passRate": 95.1,
"confidence": {
"level": "HIGH",
"halfWidth": 3.4,
"interval": {
"lower": 90.8,
"upper": 97.6
}
},
"stability": {
"level": "HIGH",
"stddev": 0.08
},
"recommendedAdditionalEvaluations": 0,
"healthScore": 87.5
},
"breakdown": {
"synthetic": [
{
"evalDefinitionId": "a0000000-0000-4000-8000-000000000001",
"evalDefinitionName": "Accuracy",
"metrics": {
"evaluations": 247,
"passed": 233,
"tests": 82,
"testsPassed": 78,
"passRate": 95.1,
"confidence": {
"level": "HIGH",
"halfWidth": 3.4,
"interval": {
"lower": 90.8,
"upper": 97.6
}
},
"stability": {
"level": "HIGH",
"stddev": 0.08
},
"recommendedAdditionalEvaluations": 0,
"healthScore": 87.5
}
}
],
"monitoring": [
{
"evalDefinitionId": "a0000000-0000-4000-8000-000000000001",
"evalDefinitionName": "Accuracy",
"metrics": {
"evaluations": 247,
"passed": 233,
"tests": 82,
"testsPassed": 78,
"passRate": 95.1,
"confidence": {
"level": "HIGH",
"halfWidth": 3.4,
"interval": {
"lower": 90.8,
"upper": 97.6
}
},
"stability": {
"level": "HIGH",
"stddev": 0.08
},
"recommendedAdditionalEvaluations": 0,
"healthScore": 87.5
}
}
]
}
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Update an existing task
Updates an existing task with the provided information.
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const task = await client.tasks.update('123e4567-e89b-12d3-a456-426614174000', {
title: 'Updated Credit Card Block',
});
console.log(task.task);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
task = client.tasks.update(
id="123e4567-e89b-12d3-a456-426614174000",
title="Updated Credit Card Block",
)
print(task.task)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the task
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"123e4567-e89b-12d3-a456-426614174000"
Body
Request body for updating an existing task
The title of the task
1"Updated Credit Card Block"
A short description of the task
1"The user wants to block their credit card immediately"
ID of the topic this task belongs to
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"789e4567-e89b-12d3-a456-426614174000"
Example inputs for the task
[
"I need to block my credit card",
"Please disable my card"
]
Replace the existing task metadata. Use null to clear all metadata for the task.
Show child attributes
Show child attributes
{ "customerId": "1", "priority": "medium" }
JSON schema that defines the structure for user prompts that should be generated for tests. Use null to clear the schema.
Show child attributes
Show child attributes
{
"type": "object",
"properties": {
"intent": { "type": "string" },
"urgency": {
"type": "string",
"enum": ["low", "medium", "high"]
}
},
"required": ["intent"]
}
Whether the task has been verified
true
If true and the task is moved to a different topic, the source topic will be deleted if it has no remaining tasks. Warning: this is a destructive operation — the source topic will be permanently removed when empty.
true
Response
Task updated successfully
Successful response containing the task data
A task that represents a specific job-to-be-done by the LLM in the user application.
Show child attributes
Show child attributes